﻿@{
    ViewBag.NomePagina = "Condição Comercial";
}

@Html.Partial("~/Views/Paginas/CadastroCondicao/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Condição Comercial
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2CondicaoCodigos.cshtml", new Select2CondicaoViewModel() { idControleSelect2 = "selCvc", idControleInput = "TxtCvc", tipoPesquisa = true })
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Selecione um status...</option>
            <option value="1">ATIVO</option>
            <option value="2">DESATIVO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroCondicaoContainer"></div>
    </div>
</div>


@* HIDDENS *@


<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Condição Comercial</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodCndCmc" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-6">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Nome:</strong>
                    </label>
                    <div class="mdl-textfield mdl-js-textfield">
                        <input class="mdl-textfield__input limparTooltipKeyDown" id="txtDesCndCmc" name="txtDesCndCmc" type="text" maxlength="40">
                        <label class="mdl-textfield__label" for="txtDesCndCmc"></label>
                    </div>
                </div>
                <div class="col-lg-4">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Desconto:</strong>
                    </label>
                    <div style="display: flex;">
                        <div class="col-lg-3 nopaddingright">
                            <div class="tgv-select-material">
                                <select id="ddlTipDsc" name="ddlTipDsc" class="form-control limparTooltipChange">
                                    <option selected value="0"></option>
                                    <option value="1">R$</option>
                                    <option value="2">%</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-lg-9 nopaddingleft nopaddingright">
                            <div class="mdl-textfield mdl-js-textfield">
                                <input type="text" class="mdl-textfield__input limparTooltipKeyDown dinheiro" maxlength="8" id="txtVlrPerDsc" name="txtVlrPerDsc">
                                <label class="mdl-textfield__label" for="txtVlrPerDsc"></label>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-lg-6">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Descrição:</strong>
                    </label>
                    <div class="mdl-textfield mdl-js-textfield">
                        <textarea id="txtDescricao" name="txtDescricao" auto-height="true" rows="5" cols="50" class="mdl-textfield__input obs-border limparTooltipKeyDown" maxlength="2000"></textarea>
                        <label class="mdl-textfield__label" for="txtDescricao"></label>
                    </div>
                </div>
                <div class="col-lg-1 nopadding" style="margin-top:30px">
                    <div class="col-md-5">
                        <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect" for="rbData">
                            <input type="radio" id="rbData" class="mdl-radio__button" name="rbVigencia" value="1" checked>
                            <span class="mdl-radio__label">Data</span>
                        </label>
                    </div>
                    <div class="col-md-5">
                        <label class="mdl-radio mdl-js-radio mdl-js-ripple-effect" for="rbMensalidade">
                            <input type="radio" id="rbMensalidade" class="mdl-radio__button" name="rbVigencia" value="2">
                            <span class="mdl-radio__label">Mensal</span>
                        </label>
                    </div>
                </div>

                <div class="col-lg-3 nopaddingleft nopaddingright" id="rbVigenciaDat" style="margin-top: 13px;">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Vigência:</strong>
                    </label>
                    <div class="col-lg-12" style="display: flex;">
                        <div class="mdl-textfield mdl-js-textfield">
                            <div class="input-daterange input-daterangedmy">
                                <input id="txtDatVigencia1" name="txtDatVigencia1" data-required="1" type="text" class="mdl-textfield__input datedmy limparTooltipChange">
                                <label class="mdl-textfield__label" for="txtDatVigencia1"></label>
                            </div>
                        </div>

                        <span class="mdl-radio__label" style="margin-top: 20px; padding-left:5px; padding-right:5px;">  a  </span>

                        <div class="mdl-textfield mdl-js-textfield">
                            <div class="input-daterange input-daterangedmy">
                                <input id="txtDatVigencia2" name="txtDatVigencia2" data-required="1" type="text" class="mdl-textfield__input datedmy">
                                <label class="mdl-textfield__label" for="txtDatVigencia2"></label>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 nopaddingright" id="rbVigenciaSel" style="display:none; margin-top: 13px;">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Vigência:</strong>
                    </label>
                    <div class="col-lg-12 nopaddingright nopaddingleft" style="display: flex;">
                        <div class="col-lg-5 nopaddingleft nopaddingright">
                            <div class="tgv-select-material nopaddingleft nopaddingright">
                                <select id="ddlVigencia1" class="form-control limparTooltipChange">
                                    <option selected value="0"></option>
                                    <option value="1">1ª Mês</option>
                                    <option value="2">2ª Mês</option>
                                    <option value="3">3ª Mês</option>
                                    <option value="4">4ª Mês</option>
                                    <option value="5">5ª Mês</option>
                                    <option value="6">6ª Mês</option>
                                    <option value="7">7ª Mês</option>
                                    <option value="8">8ª Mês</option>
                                    <option value="9">9ª Mês</option>
                                    <option value="10">10ª Mês</option>
                                    <option value="11">11ª Mês</option>
                                    <option value="12">12ª Mês</option>
                                    <option value="13">13ª Mês</option>
                                    <option value="14">14ª Mês</option>
                                    <option value="15">15ª Mês</option>
                                    <option value="16">16ª Mês</option>
                                    <option value="17">17ª Mês</option>
                                    <option value="18">18ª Mês</option>
                                    <option value="19">19ª Mês</option>
                                    <option value="20">20ª Mês</option>
                                    <option value="21">21ª Mês</option>
                                    <option value="22">22ª Mês</option>
                                    <option value="23">23ª Mês</option>
                                    <option value="24">24ª Mês</option>
                                </select>
                            </div>
                        </div>

                        <div class="col-lg-1 tgv-select-material" style="margin-top: 20px; padding-left:0px;">
                            <span class="mdl-radio__label" style=" padding-left:5px; padding-right:5px;">  a  </span>
                        </div>

                        <div class="col-lg-5 tgv-select-material nopaddingleft nopaddingright">
                            <select id="ddlVigencia2" class="form-control">
                                <option selected value="0"></option>
                                <option value="1">1ª Mês</option>
                                <option value="2">2ª Mês</option>
                                <option value="3">3ª Mês</option>
                                <option value="4">4ª Mês</option>
                                <option value="5">5ª Mês</option>
                                <option value="6">6ª Mês</option>
                                <option value="7">7ª Mês</option>
                                <option value="8">8ª Mês</option>
                                <option value="9">9ª Mês</option>
                                <option value="10">10ª Mês</option>
                                <option value="11">11ª Mês</option>
                                <option value="12">12ª Mês</option>
                                <option value="13">13ª Mês</option>
                                <option value="14">14ª Mês</option>
                                <option value="15">15ª Mês</option>
                                <option value="16">16ª Mês</option>
                                <option value="17">17ª Mês</option>
                                <option value="18">18ª Mês</option>
                                <option value="19">19ª Mês</option>
                                <option value="20">20ª Mês</option>
                                <option value="21">21ª Mês</option>
                                <option value="22">22ª Mês</option>
                                <option value="23">23ª Mês</option>
                                <option value="24">24ª Mês</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="tgv-crud-container tgv-mat-closer" style="padding-top: 5px;">

            <div class="row">
                <div class="col-md-6 titulo-tela">
                    <strong class="strong-cabecalho-tgv">Restrições</strong>
                </div>
            </div>

            <div class="row paddingtop paddingbottom">
                <div class="col-md-6">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Cesta de Produtos:</strong>
                    </label>
                    @Html.Partial("~/Views/Partials/Select2ServicosCestaCodigos.cshtml", new Select2ServicosCestaViewModel() { idControleSelect2 = "selCst", idControleInput = "txtCst", tipoPesquisa = false, ativo = true, clasColSelect = "col-md-12", margintopSel = "margin-top: 6px; padding-left:0px;" })
                </div>
                <div class="col-md-1">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Operador:</strong>
                    </label>
                    <span><input type="text" class="input-span-title" id="txtOperador" readonly value="=" style="text-align: end; font-size: 30px !important;" /></span>

                </div>
                <div class="col-md-2">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Valor:</strong>
                    </label>
                    <div class="mdl-textfield mdl-js-textfield">
                        <input class="mdl-textfield__input limparTooltipKeyDown" maxlength="20" id="txtValorProdutoCesta" name="txtValorProdutoCesta" type="text">
                        <label class="mdl-textfield__label" for="txtValorProdutoCesta"></label>
                    </div>
                </div>
            </div>

        </div>

        <div class="tgv-crud-container tgv-mat-closer" style="padding-top: 5px;">

            <div class="row">
                <div class="col-md-6 titulo-tela">
                    <strong class="strong-cabecalho-tgv">Vínculos</strong>
                </div>
            </div>

            <div class="row paddingtop paddingbottom">

                <div class="col-md-3">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Serviços:</strong>
                    </label>
                    @Html.Partial("~/Views/Partials/Select2ServicosCodigos.cshtml", new Select2ServicosViewModel() { idControleSelect2 = "selSvc", idControleInput = "txtSvc", tipoPesquisa = false, ativo = true, multiplo = false,  clasColSelect = "col-md-12", margintopSel = "margin-top: 6px; padding-left:0px;" })
                </div>

                <div class="col-md-3 nopaddingleft">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Grupo Econômico:</strong>
                    </label>
                    @Html.Partial("~/Views/Partials/Select2GrupoEconomico.cshtml", new Select2GrupoEconomicoViewModel() { idControleSelect2 = "selGrpEco", idControleInput = "txtGrpEco", tipoPesquisa = false, ativo = true, clasColSelect = "col-md-12", margintopSel = "margin-top: 6px;" })
                </div>

            </div>

        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroCondicao/Partials/_IndexScript.cshtml")
